# GradleDslBaseScriptModel

@Incubating
interface GradleDslBaseScriptModel

This interface represents the base Kotlin DSL script models. This model can be queried very early in the build lifecycle, without any script evaluation or build configuration.

#### Since

9.2.0

## Functions

getGroovyDslBaseScriptModel
Link copied to clipboard
abstract fun getGroovyDslBaseScriptModel(): GroovyDslBaseScriptModel
The Groovy DSL specific part of the model.
getKotlinDslBaseScriptModel
Link copied to clipboard
abstract fun getKotlinDslBaseScriptModel(): KotlinDslBaseScriptModel
The Kotlin DSL specific part of the model.